#include <QApplication>
#include <QFile>
#include <SingleApplication>
#include <clocale>

#include "MainWidget.h"

int main(int argc, char *argv[])
{
    setlocale(LC_ALL, ".utf-8");

    SingleApplication a(argc, argv);

#ifdef _WIN32
    QFont font("Microsoft YaHei", 9);
    a.setFont(font);
    // a.setStyle("fusion");
    // a.setStyle("windows");
#endif

    // QFile file(":/QtTheme/theme/Flat/Light/Blue/Pink.qss");
    // if (file.open(QFile::ReadOnly)) {
    //     a.setStyleSheet(file.readAll());
    // }

#if (QT_VERSION < QT_VERSION_CHECK(6, 0, 0))
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#endif

    MainWidget w;

    QObject::connect(&a, &SingleApplication::instanceStarted, &w, [&w]() {
        w.showNormal();       // 恢复窗口（如果最小化）
        w.raise();            // 置顶窗口
        w.activateWindow();   // 激活到前台（可能需平台特定处理）
    });

    w.set_work_exe(argv[0]);
    w.show();
    return a.exec();
}
